#!/bin/sh
export set TOOLKIT=../toolkit
export set UDF_CTIME=19990324130000000000
export set UDF_MTIME=19990324130000000000

# #################################### #
#                                      #
# UDF Formatter Script                 #
#   generate a image of the Disc#4     #
#                                      #
# #################################### #

echo    "UDF Image Generator. "
echo    "     Copyright 1998,1999 Aplix Corporation. "
echo    " "
echo    "   - According to the Proposed UDF Compliancy Test Disc Specification Revision 1.00."
echo    "   - This file makes image of disc #4."

# ------------------------------------ #
# Clean up.                            #
#                                      #
# ------------------------------------ #
if [ -e DOS_FILECRC.TXT ]; then
        rm DOS_FILECRC.TXT
fi

if [ -e OS2_FILECRC.TXT ]; then
        rm OS2_FILECRC.TXT
fi

if [ -e WIN95_FILECRC.TXT ]; then
        rm WIN95_FILECRC.TXT
fi

if [ -e WINNT_FILECRC.TXT ]; then
        rm WINNT_FILECRC.TXT
fi

if [ -e UNIX_FILECRC.TXT ]; then
        rm UNIX_FILECRC.TXT
fi

if [ -e MAC_FILECRC.TXT ]; then
        rm MAC_FILECRC.TXT
fi

if [ -e packetlst.dat ]; then
    rm packetlst.dat
fi

if [ -e udfvolume.img ]; then
    rm udfvolume.img
fi

# ------------------------------------ #
# make volume image file               #
#                                      #
# ------------------------------------ #
./case0

# ------------------------------------ #
# 3.1 Time Zone                        #
#------------------------------------- #
./case3.1

# ------------------------------------ #
# 3.2 Date Stress                      #
# ------------------------------------ #
./case3.2

# ------------------------------------ #
# 3.3 Long File Names                  #
# ------------------------------------ #
./case3.3

# ------------------------------------ #
# 3.4 File Name Encoding               #
# ------------------------------------ #
./case3.4

# ------------------------------------ #
# 3.5 Stressed File Name               #
# ------------------------------------ #
./case3.5

# ------------------------------------ #
# 3.6 Path Length                      #
# ------------------------------------ #
./case3.6

# ------------------------------------ #
# 3.7 Large Directory                  #
# ------------------------------------ #
./case3.7

# ------------------------------------ #
# 3.8 Large File                       #
# ------------------------------------ #
./case3.8

# ------------------------------------ #
# 3.9 Multiple Descriptors             #
# ------------------------------------ #
# Defined by disc#_vol.def

# ------------------------------------ #
# 3.10 Multiple LVIDs                  #
#          (for the Disc#1 and Disc#6) #
# ------------------------------------ #
# Defined by disc#_vol.def

# ------------------------------------ #
# 3.11 Multiple FSDs                   #
# ------------------------------------ #
# No test defined

# ------------------------------------ #
# 3.12 4096 Strategys                  #
#          (for the Disc#2 ... Disc#7) #
# ------------------------------------ #
#./case3.12

# ------------------------------------ #
# 3.13 Partition Number                #
# ------------------------------------ #
# Defined by disc#_vol.def

# ------------------------------------ #
# 3.14 ID Compression                  #
#          (for the Disc#4 and Disc#5) #
# ------------------------------------ #
./case3.14

# ------------------------------------ #
# 3.15 Logical Volume Identifier       #
#                     (for the Disc#3) #
# ------------------------------------ #
#./case3.15

# ------------------------------------ #
# 3.16 Virtual & Non-virtual Space     #
#  (All discs containing a VAT :       #
# for the Disc#2, Disc#4, and Disc#7)  #
# ------------------------------------ #
./case3.16

# ------------------------------------ #
# 3.17 Sparing                         #
#                     (for the Disc#3) #
# ------------------------------------ #
#./case3.17

# ------------------------------------ #
# 3.18 Implementation Use field in FID #
# ------------------------------------ #
./case3.18

# ------------------------------------ #
# 3.19 File Types                      #
# ------------------------------------ #
./case3.19

# ------------------------------------ #
# 3.20 File Permissions                #
# ------------------------------------ #
./case3.20 

# ------------------------------------ #
# 3.21 Embedded                        #
# ------------------------------------ #
./case3.21

# ------------------------------------ #
# 3.22 Unrecorded Extents              #
# ------------------------------------ #
./case3.22

# ------------------------------------ #
# 3.23 Information Length              #
# ------------------------------------ #
./case3.23

# ------------------------------------ #
# 3.24 Allocation Descriptor Test      #
# ------------------------------------ #
./case3.24

# ------------------------------------ #
# 3.25 Zero Length Files               #
# ------------------------------------ #
./case3.25

# ------------------------------------ #
# 3.26 Extended Attributes (Mix)       #
# ------------------------------------ #
./case3.26

# ------------------------------------ #
# 3.27 Extended Attributes             #
# ------------------------------------ #
./case3.27

# ------------------------------------ #
# 3.28 Extended Attributes (non-emb EA)#
# ------------------------------------ #
./case3.28

# ------------------------------------ #
# 3.29 Extended Attributes (Mac VolInf)#
# ------------------------------------ #
# Defined by disc#_vol.def

# ------------------------------------ #
# 3.30 Hard links                      #
# ------------------------------------ #
./case3.30

# ------------------------------------ #
# 3.31 Directory boundary conditions   #
#      (All, but exception for disc#4) #
# ------------------------------------ #
./case3.31


rm DOS_FILECRC.TXT
rm OS2_FILECRC.TXT
rm MAC_FILECRC.TXT
rm WINNT_FILECRC.TXT 
rm WIN95_FILECRC.TXT
rm UNIX_FILECRC.TXT

# ------------------------------------ #
# AVDP at N-256                        #
# ------------------------------------ #
$TOOLKIT/udf_final -A n-256

echo	"done."
