#!/bin/sh
export set TOOLKIT=../toolkit
export set UDF_CTIME=19990324130000000000
export set UDF_MTIME=19990324130000000000

# #################################### #
#                                      #
# UDF Formatter Script                 #
#   generate a image of the Disc#6     #
#                                      #
# #################################### #

echo	"UDF Image Generator. "
echo    "     Copyright 1998,1999 Aplix Corporation. "
echo    " "
echo    "   - According to the Proposed UDF Compliancy Test Disc Specification Revision 0.04."
echo    "   - This file makes image of disc #6."

# ------------------------------------ #
# Clean up.                            #
#                                      #
# ------------------------------------ #
if [ -e DOS_FILECRC.TXT ]; then
        rm DOS_FILECRC.TXT
fi

if [ -e OS2_FILECRC.TXT ]; then
        rm OS2_FILECRC.TXT
fi

if [ -e WIN95_FILECRC.TXT ]; then
        rm WIN95_FILECRC.TXT
fi

if [ -e WINNT_FILECRC.TXT ]; then
        rm WINNT_FILECRC.TXT
fi

if [ -e UNIX_FILECRC.TXT ]; then
        rm UNIX_FILECRC.TXT
fi

if [ -e MAC_FILECRC.TXT ]; then
        rm MAC_FILECRC.TXT
fi

if [ -e packetlst.dat ]; then
	rm packetlst.dat
fi

if [ -e udfvolume.img ]; then
	rm udfvolume.img
fi

# ------------------------------------ #
# make volume image file               #
#                                      #
# ------------------------------------ #
./case0

# ------------------------------------ #
# 2.3 Time Zone                        #
#------------------------------------- #
./case2.3

# ------------------------------------ #
# 2.4 Date Stress                      #
# ------------------------------------ #
./case2.4

# ------------------------------------ #
# 2.5 Long File Names                  #
# ------------------------------------ #
./case2.5

# ------------------------------------ #
# 2.6 File Name Encoding               #
# ------------------------------------ #
./case2.6

# ------------------------------------ #
# 2.7 Stressed File Name               #
# ------------------------------------ #
./case2.7

# ------------------------------------ #
# 2.9 Path Length                      #
# ------------------------------------ #
./case2.9

# ------------------------------------ #
# 2.10 Large Directory                 #
# ------------------------------------ #
./case2.10

# ------------------------------------ #
# 2.11 Large File                      #
# ------------------------------------ #
./case2.11

# ------------------------------------ #
# 2.19 ID Compression                  #
#          (for the Disc#4 and Disc#5) #
# ------------------------------------ #
#./case2.19

#OK---------

# ------------------------------------ #
# 2.21 Virtual & Non-virtual Space     #
#  (The Disc#6 has no virtual space.)  #
# ------------------------------------ #
#./case2.21

# ------------------------------------ #
# 2.25 Implementation Use field in FID #
# ------------------------------------ #
./case2.25

# ------------------------------------ #
# 2.26 File Types                      #
# ------------------------------------ #
./case2.26

# ------------------------------------ #
# 2.27 File Permissions                #
# ------------------------------------ #
#./case2.27 

# ------------------------------------ #
# 2.28 Embedded                        #
# ------------------------------------ #
./case2.28

# ------------------------------------ #
# 2.29 Unrecorded Extents              #
# ------------------------------------ #
#./case2.29

# ------------------------------------ #
# 2.30 Information Length              #
# ------------------------------------ #
#./case2.30

# ------------------------------------ #
# 2.31 Allocation Descriptor Test      #
# ------------------------------------ #
#./case2.31

# ------------------------------------ #
# 2.32 Zero Length Files               #
# ------------------------------------ #
#./case2.32

# ------------------------------------ #
# 2.33 Extended Attributes (Mix)       #
# ------------------------------------ #
#./case2.33

#ok---------

# ------------------------------------ #
# 2.34 Extended Attributes             #
# ------------------------------------ #
#./case2.34

# ------------------------------------ #
# 2.35 Extended Attributes (non-emb EA)#
# ------------------------------------ #
#./case2.35

# ------------------------------------ #
# 2.37 Hard links                      #
# ------------------------------------ #
#./case2.37

# ------------------------------------ #
# 2.41 Tag Serial Number               #
# ------------------------------------ #
#./case2.41

#ok----------

# ------------------------------------ #
# 2.42.1 File Entry CRC                #
# ------------------------------------ #
#./case2.42

# ------------------------------------ #
# 2.49 Symbolic Links                  #
# ------------------------------------ #
#./case2.49

# ------------------------------------ #
# 2.50 UID and GID                     #
# ------------------------------------ #
#./case2.50

./case3.40

# ------------------------------------ #
# File CRC                             #
# ------------------------------------ #
$TOOLKIT/udf_creat -nocrc  -p /DOS/FILECRC.TXT   -c DOS_FILECRC.TXT
$TOOLKIT/udf_creat -nocrc  -p /OS2/FILECRC.TXT   -c OS2_FILECRC.TXT
$TOOLKIT/udf_creat -nocrc  -p /Mac/FILECRC.TXT   -c MAC_FILECRC.TXT
$TOOLKIT/udf_creat -nocrc  -p /WinNT/FILECRC.TXT -c WINNT_FILECRC.TXT
$TOOLKIT/udf_creat -nocrc  -p /Win95/FILECRC.TXT -c WIN95_FILECRC.TXT
$TOOLKIT/udf_creat -nocrc  -p /UNIX/FILECRC.TXT  -c UNIX_FILECRC.TXT

rm DOS_FILECRC.TXT
rm OS2_FILECRC.TXT
rm MAC_FILECRC.TXT
rm WINNT_FILECRC.TXT 
rm WIN95_FILECRC.TXT
rm UNIX_FILECRC.TXT

# ------------------------------------ #
# AVDP at N-256                        #
# ------------------------------------ #
$TOOLKIT/udf_final -A n

echo	"done."

